%{?python_enable_dependency_generator}
%global srcname hypothesis

Name:           python-%{srcname}
Version:        3.49.0
Release:        2%{?dist}.3
Summary:        Library for property based testing

License:        MPLv2.0
URL:            https://github.com/HypothesisWorks/hypothesis-python
Source0:        https://github.com/HypothesisWorks/hypothesis-python/archive/%{version}/%{srcname}-%{version}.tar.gz
# disable Sphinx extensions that require Internet access
Patch0:         %{srcname}-3.12.0-offline.patch

# Manpage
BuildRequires:  %{_bindir}/sphinx-build

BuildArch:      noarch

%global _description \
Hypothesis is a library for testing your Python code against a much\
larger range of examples than you would ever want to write by\
hand. It’s based on the Haskell library, Quickcheck, and is designed\
to integrate seamlessly into your existing Python unit testing work\
flow.

%description %{_description}

%package     -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2dist(attrs)
BuildRequires:  python2dist(coverage)
BuildRequires:  python2dist(enum34)
Requires:       python2dist(coverage)
Requires:       python2dist(enum34)
Suggests:       python%{python2_version}dist(pytz)
Suggests:       python%{python2_version}dist(numpy) >= 1.9.0
Suggests:       python%{python2_version}dist(pytest) >= 2.8.0

%description -n python2-%{srcname} %{_description}

Python 2 version.

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      platform-python-%{srcname} < %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(coverage)
Requires:       python3dist(coverage)
Suggests:       python%{python3_version}dist(pytz)
Suggests:       python%{python3_version}dist(numpy) >= 1.9.0
Suggests:       python%{python3_version}dist(pytest) >= 2.8.0

%description -n python3-%{srcname} %{_description}

Python 2 version.

%prep
%autosetup -n %{srcname}-python-%{version} -p1

%build
%py2_build
%py3_build
PYTHONPATH=src READTHEDOCS=True sphinx-build -b man docs docs/_build/man

%install
%py2_install
%py3_install
%{__install} -Dpm0644 -t %{buildroot}%{_mandir}/man1 docs/_build/man/hypothesis.1

%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/hypothesis-*.egg-info/
%{python2_sitelib}/hypothesis/
%{_mandir}/man1/hypothesis.1*

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/hypothesis-*.egg-info
%{python3_sitelib}/hypothesis/
%{_mandir}/man1/hypothesis.1*

